### Signal

# Gtk DropTarget::enter

#### Declaration

    GdkDragAction
    enter (
      GtkDropTarget self,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted on the drop site when the pointer enters the widget.

It can be used to set up custom highlighting.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`x` | `gdouble`
| The x coordinate of the current pointer position.
`y` | `gdouble`
| The y coordinate of the current pointer position.

#### Return value

Returns: | `GdkDragAction`
| Preferred action for this drag operation or 0 if dropping is not supported at the current `x`,`y` location.